Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.control
Class OlapModelController

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.support.WebContentGenerator
                  org.springframework.web.servlet.mvc.AbstractController
                      org.springframework.web.servlet.mvc.multiaction.MultiActionController
                          com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
                              com.jaspersoft.jasperserver.war.control.OlapModelController

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware, org.springframework.web.servlet.mvc.Controller, org.springframework.web.servlet.mvc.LastModified

    public class OlapModelController

extends JRBaseMultiActionController

The OlapModelController handles the request to load a specified OLAP model A session 'sess' contains can have multiple models stored in the 'olapModels' map. An entry in the 'olapModels' map contains the 'olapSessionState' of a given olap model.

Author:
  jshih

Nested Class Summary
`class` | `OlapModelController.OlapSessionState`

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
`objPermService, repository, userAuthService`

Fields inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`DEFAULT_COMMAND_NAME, LAST_MODIFIED_METHOD_SUFFIX, PAGE_NOT_FOUND_LOG_CATEGORY, pageNotFoundLogger`

Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator
`METHOD_GET, METHOD_HEAD, METHOD_POST`

Constructor Summary
`OlapModelController()`

Method Summary
`OlapConnectionService` | `getOlapConnectionService()`
`protected OlapModelController.OlapSessionState` | `getOlapSession(java.lang.String viewUri, javax.servlet.http.HttpSession sess)`
`protected org.springframework.web.servlet.ModelAndView` | `handle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object command, org.springframework.validation.BindException errors)` The handle() method looks up a given OLAP model given by the command parameter.
`protected void` | `setJPivotParams(javax.servlet.http.HttpServletRequest req, com.tonbeller.jpivot.olap.model.OlapModel model)` may set state in the OlapModel to reflect the supported http params
`void` | `setOlapConnectionService(OlapConnectionService olapConnectionService)`
`org.springframework.web.servlet.ModelAndView` | `viewOlap(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class com.jaspersoft.jasperserver.war.control.JRBaseMultiActionController
`getAllRoles, getAllUsers, getObjPermService, getOlapUnits, getReportUnit, getReportUnit, getReportUnits, getRepository, getUserAuthService, setObjPermService, setRepository, setUserAuthService`

Methods inherited from class org.springframework.web.servlet.mvc.multiaction.MultiActionController
`bind, createBinder, getCommandName, getExceptionHandler, getLastModified, getMethodNameResolver, getValidators, handleNoSuchRequestHandlingMethod, handleRequestInternal, initBinder, initBinder, invokeNamedMethod, newCommandObject, setDelegate, setMethodNameResolver, setValidators`

Methods inherited from class org.springframework.web.servlet.mvc.AbstractController
`handleRequest, isSynchronizeOnSession, setSynchronizeOnSession`

Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator
`applyCacheSeconds, applyCacheSeconds, cacheForSeconds, cacheForSeconds, checkAndPrepare, checkAndPrepare, getCacheSeconds, getSupportedMethods, isRequireSession, isUseCacheControlHeader, isUseExpiresHeader, preventCaching, setCacheSeconds, setRequireSession, setSupportedMethods, setUseCacheControlHeader, setUseExpiresHeader`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OlapModelController

    public OlapModelController()

Method Detail

### getOlapConnectionService

    public OlapConnectionService getOlapConnectionService()

  Returns:
    Returns the olapConnectionService.

### setOlapConnectionService

    public void setOlapConnectionService(OlapConnectionService olapConnectionService)

  Parameters:
    `olapConnectionService` - The olapConnectionService to set.

### viewOlap

    public org.springframework.web.servlet.ModelAndView viewOlap(javax.servlet.http.HttpServletRequest req,
                                                                 javax.servlet.http.HttpServletResponse res)
                                                          throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### setJPivotParams

    protected void setJPivotParams(javax.servlet.http.HttpServletRequest req,
                                   com.tonbeller.jpivot.olap.model.OlapModel model)

  may set state in the OlapModel to reflect the supported http params

### getOlapSession

    protected OlapModelController.OlapSessionState getOlapSession(java.lang.String viewUri,
                                                                  javax.servlet.http.HttpSession sess)

### handle

    protected org.springframework.web.servlet.ModelAndView handle(javax.servlet.http.HttpServletRequest request,
                                                                  javax.servlet.http.HttpServletResponse response,
                                                                  java.lang.Object command,
                                                                  org.springframework.validation.BindException errors)
                                                           throws java.lang.Exception

  The handle() method looks up a given OLAP model given by the command parameter.

  Parameters:
    `request` -
    `response` -
    `command` - Specifies the OLAP model to load.
    `errors` - TODO
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.